#!/usr/bin/rexx
/*
   author:  Rony G. Flatscher
   date:    2010-08-10
   version: 1.0
   name:    getTemplates4LinuxUser.rex
   purpose: copy BSF4ooRexx template files to $HOME/Templates directory using
            the templates put into /etc/skel/Templates

   usage:   rexx

   needs:   ---

   changed: ---

   remark:  takes XDG into account and NLS translated Templates directory; if
            user is not set up for Templates, then a Templates directlry gets
            added and the template files copied to

   license:

    ------------------------ Apache Version 2.0 license -------------------------
       Copyright (C) 2010 Rony G. Flatscher

       Licensed under the Apache License, Version 2.0 (the "License");
       you may not use this file except in compliance with the License.
       You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

       Unless required by applicable law or agreed to in writing, software
       distributed under the License is distributed on an "AS IS" BASIS,
       WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
       See the License for the specific language governing permissions and
       limitations under the License.
    -----------------------------------------------------------------------------
*/

bDebug=.false              -- debug flag

parse source . . s         -- get fully qualified path to this program
cmd.eThisName=filespec("Name",s)

ver=SysVersion()           -- get operating system version
if bDebug=.true then say pp("ver", ver)
if ver~left(1)~upper="W" then
do
   say cmd.eThisName": program needs Unix, running on ["ver"] instead, aborting..."
   if bDebug<>.true then
      exit -1
end

cmd.e

